var config = {};

config.token = '';

config.defaulttext = {
	unknown_command : `Такой команды не существует, проверьте правильность написания...`,
	need_admin: `Для данной команды у вас недостаточно прав`,
	need_auth: `Для данной команды необходимо авторизоваться`,
	need_reauth: `Необходимо авторизоваться заново с помощью команды /relogin`,
	need_wait : `Ожидайте выполнения предыдущей команды...`
}

config.commands = new Map([
	[`/start`, { 
		need_auth : false, 
		answer : `Вас приветствует бот-помощник для курьеров Яндекс.Еды или Яндекс.Лавки

Список доступных команд всегда можно получить с помощью /help`
	}],
	[`/login`, { 
		need_auth : false, 
		need_api : true, 
		function_name: `login`,
		answer : 
`<b>Помощь для входа</b>
Для авторизации введите /login [ваш логин] - [ваш пароль]
Например '/login Курьер - IUhjkdsf1'

Данные для входа можно посмотреть в @FoodfoxCourierBot`,
		have_description : true,
		description : `Авторизация`
	}],
	[`/myslots`, { 
		need_auth : true, 
		need_api : true, 
		need_admin : false, 
		function_name: `myslots`,
		answer : `no_answer`,
		have_description : true,
		description : `Запланнированные слоты`
	}],
	[`/freeslots`, { 
		need_auth : true, 
		need_api : true, 
		need_admin : false, 
		function_name: `freeslots`,
		answer : `no_answer`,
		have_description : true,
		description : `Свободные слоты на неделю`
	}],
	[`/orders`, { 
		need_auth : true, 
		need_api : true, 
		need_admin : false, 
		function_name: `orders`,
		answer : `no_answer`,
		have_description : true,
		description : `Текущие заказы`
	}],
	[`/setzone`, { 
		need_auth : true, 
		need_admin : false, 
		function_name: `search_point`,
		answer : `<b>Найденные лавки:</b>
`,
		have_description : true,
		description : `Изменение отслеживаемой лавки`
	}],
	[`/relogin`, { 
		need_auth : true, 
		need_api : true, 
		need_admin : false, 
		function_name: `relogin`,
		answer : `Успешная повторная авторизация\n`,
		have_description : false,
		description : `Используется для повторного входа с сохраненными данными`
	}],
	[`/logout`, { 
		need_auth : true, 
		function_name: `logout`,
		answer : `Вы успешно вышли из аккаунта

Авторизоваться можно с помощью /login`,
		have_description : true,
		description : `Выход из аккаунта`
	}],
	[`/help`, { 
		need_auth : false, 
		function_name: `help`,
		answer : `<b>Список доступных команд:</b>`,
	/*	have_description : true,
		description : `Список доступных команд`,
		show_after_login : true*/
	}]
]);

config.admin_commands = new Map([
	[`/query`, { 
		need_auth : false, 
		need_admin : true,
		answer : `<b>Ответ бд:</b>\n`, 
		have_description : true,
		description : `Запрос к базе данных`,
		function_name : "query",
		show_after_login : true
	}],	
	[`/reload_bd`, { 
		need_auth : false, 
		need_api : false,
		need_admin : true,
		answer : `База данных загружена`, 
		have_description : true,
		description : `Загрузить пользователей с сервера`,
		function_name : "reload_bd",
		show_after_login : true
	}],	
	[`/relogin_all`, { 
		need_auth : false, 
		need_api : true,
		need_admin : true,
		answer : `<b>Переавторизация</b>\n`, 
		have_description : true,
		description : `Обновление токенов доступа`,
		function_name : "relogin_all",
		show_after_login : true
	}],
	[`/search`, { 
		need_auth : false, 
		need_admin : true, 
		function_name: `search_point`,
		answer : `<b>Найденные лавки:</b>
`,
		have_description : true,
		description : `Поиск по названию лавки`,
		show_after_login : true
	}],
	[`/newfreeslots`, { 
		need_auth : true, 
		need_api : true, 
		need_admin : true, 
		function_name: `newfreeslots`,
		answer : `no_answer`,
		have_description : false,
		description : `Свободные слоты на неделю`
	}],
	[`/test`, { 
		need_auth : false, 
		need_admin : true, 
		answer : `TEST`,
		have_description : true,
		description : `TEST`,
		show_after_login : true
	}],
	[`/test1`, { 
		need_auth : true, 
		need_admin : true, 
		function_name: `test`,
		answer : `TEST1`,
		have_description : true,
		description : `TEST1`
	}]
]);

config.points = {"Лавка-2й Муринский проспект":"7860","Лавка-Большеохтинский проспект":"7655","Лавка-Авиаконструкторов":"8035","Лавка-Бухарестская":"10605","Лавка-Большой пр-т Васильевского острова":"7434","Лавка-Бестужевская":"11173","Лавка-Белы Куна":"9178","Лавка-Белградская":"10670","Лавка-Адмирала Трибуца":"9504","Лавка-Боровая":"7425","Лавка-Васильевского острова":"7437","Лавка-Ефимова":"7419","Лавка-Морская набережная":"8333","Лавка-Жукова":"11259","Лавка-Лизы Чайкиной":"11513","Лавка-Ленинский проспект":"7660","Лавка-набережная Фонтанки":"7416","Лавка-наб. канала Грибоедова":"7422","Лавка-Королева":"7870","Лавка-Дивенская":"8743","Лавка-Левашовский проспект":"11562","Лавка-Красноармейская":"7410","Лавка-Кременчугская ":"7413","Лавка-Дунайский проспект":"7665","Лавка-Коллонтай":"9395","Лавка-Маршала Жукова":"10023","Лавка-Ленинградская(Пушкин)":"9193","Лавка-Малая Митрофаньевская":"11572","Лавка-Ленинский проспект148":"11254","Лавка-Вербная":"7680","Лавка-Лёни Голикова":"10590","Лавка-Краснопутиловская":"9203","Лавка-Маршала Казакова":"11138","Лавка-Новгородская ":"7428","Лавка-Савушкина":"8738","Лавка-Октябрьская набережная 124к7":"9599","Лавка-Ново-Александровская":"9881","Лавка-Пискаревский проспект":"7615","Лавка-Рихарда Зорге":"7670","Лавка-Оптиков":"7675","Лавка-Проспект Славы":"8863","Лавка-Обручевых":"9183","Лавка-Пироговская":"11183","Лавка-Непокорённых ":"9168","Лавка-Пятилеток":"8733","Лавка-Проспект Ветеранов":"8868","Лавка-Охтинская Аллея(Мурино)":"11465","Лавка-Новоизмайловский":"8728","Лавка-Парашютная":"10550","Лавка-Приморский":"10560","Лавка-Петровский бульвар":"8273","Лавка-Октябрьская набережная":"9208","Лавка-Павловская(Всеволожск)":"9470","Лавка-Энергетиков":"11826","Лавка-Харченко":"7855","Лавка-Типанова":"8025","Лавка-Энгельса":"8338","Лавка-Ткачей":"9430","Лавка-Центральная(Мурино)":"10555","Лавка-Скобелевский":"11567","Лавка-Стародеревенская":"8030","Лавка-Северный проспект":"9073","Лавка-Шаумяна":"8858","Лавка-Среднерогатская":"9058","Лавка-Ушинского":"7865","Лавка-Славы(Новое Девяткино)":"9803","Адмиралтейский":"6163","Академическая":"6175","Беговая":"6241","Бухаресткая":"6220","Василеостровский":"6169","Всеволожский":"7404","Выборгский":"7407","Кировский":"6190","Кировский завод":"6184","Красногвардейский":"6250","Красносельский":"6199","Кудрово":"6181","Купчино":"6223","Ладожская":"6193","Лахта":"6214","Лесная":"6178","Московский":"6235","Невский":"6205","Новый Петергоф":"6208","Озерки":"6226","Парнас":"6232","Петроградский":"6172","Пионерская":"6244","Пискаревский":"6196","Приморский":"6217","Проспект большевиков":"6202","Проспект Ветеранов":"6187","Рыбацкое":"6247","Удельная":"6229","Центральный":"6166","Электросила":"6238"}

module.exports = config;
